
From: <janitor@sternwelten.at>

Uses msleep() instead of schedule_timeout() to guarantee the task delays the
desired time.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pcmcia/ds.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/pcmcia/ds.c~janitor-pcmcia-ds-replace-schedule_timeout-with-msleep drivers/pcmcia/ds.c
--- 25/drivers/pcmcia/ds.c~janitor-pcmcia-ds-replace-schedule_timeout-with-msleep	Thu Sep 23 15:39:05 2004
+++ 25-akpm/drivers/pcmcia/ds.c	Thu Sep 23 15:39:05 2004
@@ -50,6 +50,7 @@
 #include <linux/poll.h>
 #include <linux/pci.h>
 #include <linux/list.h>
+#include <linux/delay.h>
 #include <linux/workqueue.h>
 
 #include <asm/atomic.h>
@@ -1308,8 +1309,7 @@ static int __devinit pcmcia_bus_add_sock
 	 * Ugly. But we want to wait for the socket threads to have started up.
 	 * We really should let the drivers themselves drive some of this..
 	 */
-	current->state = TASK_INTERRUPTIBLE;
-	schedule_timeout(HZ/4);
+	msleep(250);
 
 	init_waitqueue_head(&s->queue);
 	init_waitqueue_head(&s->request);
_
